Skip to content

site-admin ​

← All modules

2 endpoints.

GET /api/v1/instance-admin/templates ​

List Templates

200 — Successful Response

json
{}

POST /api/v1/instance-admin/new-site ​

New Instance

Request body

json
{
  "properties": {
    "name": {
      "type": "string",
      "maxLength": 64,
      "minLength": 1,
      "title": "Name"
    },
    "hosts": {
      "items": {
        "type": "string"
      },
      "type": "array",
      "title": "Hosts"
    },
    "template": {
      "type": "string",
      "title": "Template",
      "default": "default"
    },
    "db_url": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Db Url"
    },
    "admin_email": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Admin Email"
    },
    "admin_password": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Admin Password"
    },
    "org_name": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Org Name"
    },
    "trial": {
      "type": "boolean",
      "title": "Trial",
      "default": true
    },
    "trial_days": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Trial Days"
    },
    "issue_cert": {
      "type": "boolean",
      "title": "Issue Cert",
      "default": true
    }
  },
  "type": "object",
  "required": [
    "name"
  ],
  "title": "NewInstanceIn"
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb One Documentation